<?

/** ********************************************************************************************* **/
/**                                                                                               **/
/** add_members_to_group.php                                                                      **/
/**                                                                                               **/
/** Author : Jean-Charles Siegel, jeancharles.siegel@gmail.com                                    **/
/**                                                                                               **/
/** Year : 2006                                                                                   **/
/**                                                                                               **/
/** Licence : GPLv2                                                                               **/
/**                                                                                               **/
/** Edited for : Debian Edu/Skolelinux, CipUX                                                     **/
/**                                                                                               **/
/** Description : This file will add a members to a selected group                                **/
/**                                                                                               **/
/** ********************************************************************************************* **/

session_start();
 
// Including the file cipux.php in order to communicate with the XML-RPC server
include('cipux.php');

// Here, we create an instance of the class cipux_xml
$cipux = new cipux_xml();
// set the uid and the value given by the log in method in the new instance of the class
$cipux->set_ticket($_SESSION['login_cipux'],$_SESSION['cipux']);
// For each user existing, we test if the checkbox was checked, so we add the user
// $_POST['add'.$i] contains the UID of the user
for ($i=0 ; $i<$_POST['nbmembers'] ; $i++) {
	if (isset($_POST['add'.$i])) {
		$res = $cipux->add_user_to_course($_POST['groupname'], $_POST['add'.$i]);
	}
}

// Redirection
header('Location: index.php?page=gm');
?> 
