<?

/** ********************************************************************************************* **/
/**                                                                                               **/
/** login.php                                                                                     **/
/**                                                                                               **/
/** Author : Jean-Charles Siegel, jeancharles.siegel@gmail.com                                    **/
/**                                                                                               **/
/** Year : 2006                                                                                   **/
/**                                                                                               **/
/** Licence : GPLv2                                                                               **/
/**                                                                                               **/
/** Edited for : Debian Edu/Skolelinux, CipUX                                                     **/
/**                                                                                               **/
/** Description : This script is used to get the user uid and password for the connection with    **/
/**               the XML-RPC server. If Moodle is used, then we get the user uid and we just     **/
/**               ask for the password. Else we ask the login and the password.                   **/
/**                                                                                               **/
/** ********************************************************************************************* **/

// if is moodle then get moodle username 
if ($is_moodle) {
	//get user uid
	$pers_sql = get_record("user", "id", $USER->id);
	$uid = $pers_sql->username; 
}
// else get the username store in $_SESSION 
else if (isset($_SESSION['login_cipux'])) {
	$uid = $_SESSION['login_cipux'];
}
// else do nothing
else $uid = "";
?>
<table align="center" class="generalbox" border="0" cellpadding="20" cellspacing="0">
	<tr><td class="generalboxcontent">
	<? 
		if (isset($_SESSION['error'])) {
			echo '<p><font color="red">'.$_SESSION['error'].'</font></p>';
		}
	?>
<form method="post" action="index.php">
	<p align="center"><? echo get_string('identification','cipuxPHP') ?></p>
	<table align="center">
		<tr>
			<td align="right" ><? echo get_string('account', 'cipuxPHP');?> : </td>
			<td align="left" ><input type="text" name="login" value="<? echo $uid; ?>"/></td>
		</tr>
		<tr>
			<td align="right" ><? echo get_string('password', 'cipuxPHP');?> : </td>
			<td align="left" ><input type="password" name="pass"/></td>
		</tr>
	</table>
	
	<p align="center"><input type="submit" name="submit_ident" value="OK"/></p>
</form>

	</td></tr>
</table>