<?

/** ********************************************************************************************* **/
/**                                                                                               **/
/** users_role_manager.php                                                                        **/
/**                                                                                               **/
/** Author : Jean-Charles Siegel, jeancharles.siegel@gmail.com                                    **/
/**                                                                                               **/
/** Year : 2006                                                                                   **/
/**                                                                                               **/
/** Licence : GPLv2                                                                               **/
/**                                                                                               **/
/** Edited for : Debian Edu/Skolelinux, CipUX                                                     **/
/**                                                                                               **/
/** Description : This script is used to change the role of each user but not for the cipadmin    **/
/**                                                                                               **/
/** Warnings : this part of script is not valid on w3c validator when you want to change the user **/
/**            role.                                                                              **/
/**            Number of errors : 3                                                               **/
/**                                                                                               **/
/** ********************************************************************************************* **/

// list all users 
$list_users = $cipux->list_users();
// list users' first letter
$list_letters = $cipux->list_users_first_letter();
// list the roles and sort them
$list_roles = $cipux->list_roles();
sort($list_roles);

// change the role of the selected user
if (isset($_POST['submit_change'])) {
	$letter = $_POST['letter'];
	$result = $cipux->change_user_role($_POST['uid'], $_POST['role']);
	if ($result) $msg = '<p align="center"><font color="green">'.get_string('change_role_ok','cipuxPHP').'</font></p>';
	else $msg = '<p align="center"><font color="red">'.get_string('change_role_error','cipuxPHP').'</font></p>';
}
 
// if the button valid is clicked
$k = 0;
if (isset($_POST['submit_letter'])) {
	for ($j=0 ; $j<sizeof($list_users) ; $j++) {
		if ($list_users[$j][0] == $_POST['letter']) {
			$result[$k] = $list_users[$j];
			$k++;
		}
	}
	$letter = $_POST['letter'];
}
else {
	// if $_POST['letter'] then we use it
	if ($_POST['letter'] != '') $letter = $_POST['letter'];
	// else we use the first letter in the list
	else $letter = $list_letters[0];
	// creation of the list of users using the selected letter
	for ($j=0 ; $j<sizeof($list_users) ; $j++) {
		if ($list_users[$j][0] == $letter) {
			$result[$k] = $list_users[$j];
			$k++;
		}
	}
}
?>

<table align="center" width="100%" class="generalbox" border="0" cellpadding="20" cellspacing="0"><tr><td  class="generalboxcontent">
<h3><? echo (get_string('users_role_manager','cipuxPHP')); ?></h3>
	
	<form method="post" action="">
		<input type="hidden" name="page" value="users_role_manager.php"/>
		<? echo (get_string('display_user_by','cipuxPHP')); ?>
		<select name="letter">
		<?  
		// display the list of letter
		for ($i=0 ; $i < sizeof($list_letters) ; $i++) {
			echo '<option value="'.$list_letters[$i].'">'.$list_letters[$i].'</option>'."\n";
		}
		?>
		</select>
		<input type="submit" name="submit_letter" value="<? echo (get_string('valid','cipuxPHP')); ?>"/>
	</form>

	<p align="center"><? echo ($msg); ?></p>
	<table class="generalbox" style="width:100%">
	<tr>
		<th class="header c1" style="text-align:left"><a href="#"><? echo (get_string('account','cipuxPHP')); ?></a></th>
		<th class="header c1" style="text-align:left"><a href="#"><? echo (get_string('firstname','cipuxPHP'). ' &amp; ' .get_string('lastname','cipuxPHP')); ?></a></th>
		<th class="header c1" style="text-align:left"><a href="#"><? echo (get_string('actual_role','cipuxPHP')); ?></a></th>
		<th class="header c1" style="text-align:left"><a href="#"><? echo (get_string('new_role','cipuxPHP')); ?></a></th>
		<th class="header c1" style="text-align:left"><a href="#"><? echo (get_string('actions','cipuxPHP')); ?></a></th>
	</tr>
	
	<?
	for ($i = 0 ; $i<sizeof($result) ; $i++) {
	
		$name = $cipux->tell_me_user_canonical_name($result[$i]);
		$role = $cipux->tell_me_user_role($result[$i]);
		echo('
		<form method="post" action="">
		<tr'.( ($i%2) ? ' style="background:#eee"' : '' ).'>
			<td>'.$result[$i].'</td>
			<td>'.$name[0].'</td>
			<td>'.get_string($role[0],'cipuxPHP').'</td>
			<td>
				<select name="role">');
				
				for ($j=0 ; $j<sizeof($list_roles) ; $j++) {
					echo('<option value="'.$list_roles[$j].'">'.get_string($list_roles[$j],'cipuxPHP').'</option>'."\n");
				}
				
		echo('
				</select>
			</td>
			<td>
				<input type="hidden" name="uid" value="'.$result[$i].'"/>
				<input type="hidden" name="letter" value="'.$letter.'"/>
				<input type="hidden" name="page" value="users_role_manager.php"/>
				<input type="submit" name="submit_change" value="'.get_string('change_role','cipuxPHP').'"/>
			</td>
		</tr>
		</form>
		');
	}
	
	
	?>
	
	</table>
<? include ('return.php');?>
</td></tr>
</table>