#!/bin/sh
# +=======================================================================+
# || /var/lib/tftpboot/cipux/conf/client.tpl                             ||
# ||                                                                     ||
# || This file is needed by deploy_bot.pl to create the                  ||
# || client dependent config files like C_Raum-e51_123.conf              ||
# || This configfiles will be read by 'restore_client' script            ||
# ||                                                                     ||
# || (c) Copyright 2002, 2003 Christian Kuelker                          ||
# ||               2002       Markus Klappenbach                         ||
# ||                                                                     ||
# || License: GPL                                                        ||
# ||                                                                     ||
# +=======================================================================+
#
# Names like SHORT or CIPUX_IMAGE are highly calculated (not LDAP)
# Names cipuxHardwareTypeNumber are LDAP attributes
#
echo 'client_name.conf'
echo 'cipworx cipux master configuration for client [<SE::SHORT>]'
VAR='cipuxMaster cipuxHardwareTypeNumber cipuxHardwareTypeName cipuxImageSlotNumber cipuxImageSlotName CIPUX_IMAGE cipuxImageType cipuxImageName cipuxImageProtect cipuxImageProtect cipuxImageSize cipuxChecksum cn'

# cipuxMaster
export cipuxMaster='<SE::cipuxMaster>'
# cipuxHardwareTypeNumber
export cipuxHardwareTypeNumber='<SE::cipuxHardwareTypeNumber>'
# cipuxHardwareTypeName
export cipuxHardwareTypeName='<SE::cipuxHardwareTypeName>'
# cipuxImageSlotNumber
export cipuxImageSlotNumber='<SE::cipuxImageSlotNumber>'
# cipuxImageSlotName
export cipuxImageSlotName='<SE::cipuxImageSlotName>'
# CIPUX_IMAGE
export CIPUX_IMAGE='<SE::CIPUX_IMAGE>'
# cipux image number
export cn='<SE::cn>'
# cipuxImageName
export cipuxImageName='<SE::cipuxImageName>'
# cipuxImageType
export cipuxImageType='<SE::cipuxImageType>'
# cipuxImageProtect
export cipuxImageProtect='<SE::cipuxImageProtect>'
# cipuxImageSlotProtect
export cipuxImageSlotProtect='<SE::cipuxImageSlotProtect>'
# cipuxImageSize
export cipuxImageSize='<SE::cipuxImageSize>'
# cipuxChecksum
export cipuxChecksum='<SE::cipuxChecksum>'
# CIPUX_PARTITION_MODUS
export CIPUX_PARTITION_MODUS='1'

for i in $VAR; do 
 echo -n "- VAR $i = " ;
 eval echo '$'$i;
done 



