#!/bin/bash

echo "CipUX profile start"

#
# setup the name
# CipUX, School, Schule, Ecole
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Name=CipUX
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Name_Setup_Done=1

#
#set up the class structure
#
# No class structure: CipUX_Institution_Structure=2 
# Class structure: CipUX_Institution_Structure=1
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Structure=2
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Setup_Done=1
# so we do not need the transfer stuff
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Transferadmin=0

#
# setup the image system
#
cipux_task_change_cipux_config_variable_value CipUX CipUX_Image_System=0
# there for disable the following modules
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Roomadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Clientadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Imagematrix=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Hardwareadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Imageadmin=0

#
# set up the expires system
#
cipux_task_change_cipux_config_variable_value CipUX CipUX_Expire_System=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Mailadmin=0

#
# disable the setup (can be reenabled by root or cipadmin)
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Setup=0

#
# turn off school specific stuff
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Internetadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Import=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Examadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Applicationform=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Apply_Applicationform=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Printaccountmanager=0

#
# enable basic stuff
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Roleadmin=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Cipuxadmin=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Tutoradmin=1

#
# remmember what profile was used
#
touch /etc/cipux/cipux_profile_de


echo "CipUX profile end"