#!/bin/bash

echo "CipUX profile start"

#
# setup the name
# CipUX, School, Schule, Ecole
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Name=Ecole
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Name_Setup_Done=1

#
#set up the class structure
#
# No class structure: CipUX_Institution_Structure=2 
# Class structure: CipUX_Institution_Structure=1
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Structure=1
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Course_Levels=5
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Parallel_Courses=4

# so we do not need the transfer stuff
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Transferadmin=0

cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_5_4=cm2_d
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_5_3=cm2_c
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_5_2=cm2_b
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_5_1=cm2_a
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_4_4=cm1_d
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_4_3=cm1_c
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_4_2=cm1_b
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_4_1=cm1_a
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_3_4=ce2_d
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_3_3=ce2_c
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_3_2=ce2_b
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_3_1=ce2_a
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_2_4=ce1_d
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_2_3=ce1_c
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_2_2=ce1_b
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_2_1=ce1_a
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_1_4=cp_d
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_1_3=cp_c
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_1_2=cp_b
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Matrix_1_1=cp_a

echo "create courses with random password ..."
echo $RANDOM$RANDOM | cipux_task_create_course cp_a -
echo $RANDOM$RANDOM | cipux_task_create_course cp_b -
echo $RANDOM$RANDOM | cipux_task_create_course cp_c -
echo $RANDOM$RANDOM | cipux_task_create_course cp_d -
echo $RANDOM$RANDOM | cipux_task_create_course ce1_a -
echo $RANDOM$RANDOM | cipux_task_create_course ce1_b -
echo $RANDOM$RANDOM | cipux_task_create_course ce1_c -
echo $RANDOM$RANDOM | cipux_task_create_course ce1_d -
echo $RANDOM$RANDOM | cipux_task_create_course ce2_a -
echo $RANDOM$RANDOM | cipux_task_create_course ce2_b -
echo $RANDOM$RANDOM | cipux_task_create_course ce2_c -
echo $RANDOM$RANDOM | cipux_task_create_course ce2_d -
echo $RANDOM$RANDOM | cipux_task_create_course cm1_a -
echo $RANDOM$RANDOM | cipux_task_create_course cm1_b -
echo $RANDOM$RANDOM | cipux_task_create_course cm1_c -
echo $RANDOM$RANDOM | cipux_task_create_course cm1_d -
echo $RANDOM$RANDOM | cipux_task_create_course cm2_a -
echo $RANDOM$RANDOM | cipux_task_create_course cm2_b -
echo $RANDOM$RANDOM | cipux_task_create_course cm2_c -
echo $RANDOM$RANDOM | cipux_task_create_course cm2_d -

echo "create a global course with random password ..."
echo $RANDOM$RANDOM | cipux_task_create_global_course partage -

# "done" should be the last.
cipux_task_change_cipux_config_variable_value CipUX CipUX_Institution_Setup_Done=1

#
# setup the image system
#
cipux_task_change_cipux_config_variable_value CipUX CipUX_Image_System=0
# there for disable the following modules
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Roomadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Clientadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Imagematrix=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Hardwareadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Imageadmin=0

#
# set up the expires system
#
cipux_task_change_cipux_config_variable_value CipUX CipUX_Expire_System=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Mailadmin=0

#
# disable the setup (can be reenabled by root or cipadmin)
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Setup=0

#
# turn off school specific stuff
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Internetadmin=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Import=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Examadmin=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Applicationform=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Apply_Applicationform=0
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Printaccountmanager=0

#
# enable basic stuff
#
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Roleadmin=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Cipuxadmin=1
cipux_task_change_cipux_config_variable_value CAT Cat_Feature_Tutoradmin=1

#
# remmember what profile was used
#
touch /etc/cipux/cipux_profile_fr_school


echo "CipUX profile end"
