<?php

/** ********************************************************************************************* **/
/**                                                                                               **/
/** cipux_config.php                                                                              **/
/**                                                                                               **/
/** Author : Jean-Charles Siegel, jeancharles.siegel@gmail.com, Benjamin Sonntag                  **/
/**                                                                                               **/
/** Year : 2006                                                                                   **/
/**                                                                                               **/
/** Licence : GPLv2                                                                               **/
/**                                                                                               **/
/** Edited for : Debian Edu/Skolelinux, CipUX                                                     **/
/**                                                                                               **/
/** Description : CipUX XML-RPC server configuration file                                         **/
/**                                                                                               **/
/** ********************************************************************************************* **/

if (!function_exists("ifdefine")) {
  function ifdefine($const,$val) { if (!defined($const)) { define($const,$val); } }
}

/** Server IP address or DNS name */
ifdefine("CIPUX_RPC_HOST","cipuxrcdr"); 
//ifdefine("CIPUX_RPC_HOST","cipuxrcdr");
/** Server TCP Port */
ifdefine("CIPUX_RPC_PORT","8000");
/** Server PATH */
ifdefine("CIPUX_RPC_PATH","/RPC2"); 
/** Should we put plenty of debug lines on stdout ? (default no) */
ifdefine("CIPUX_RPC_DEBUG",2); 
/** Socket timeout in seconds */
ifdefine("CIPUX_RPC_TIMEOUT",10);  
/** Transport can be one of http, https, http11 */
ifdefine("CIPUX_RPC_TRANSPORT","https"); 
/** Cookie name send to the user (if you request for automagic cookie sending) */
ifdefine("CIPUX_RPC_COOKIE_NAME","BIDON"); 

?>