<?

/** ********************************************************************************************* **/
/**                                                                                               **/
/** group_creator.php                                                                             **/
/**                                                                                               **/
/** Author : Jean-Charles Siegel, jeancharles.siegel@gmail.com                                    **/
/**                                                                                               **/
/** Year : 2006                                                                                   **/
/**                                                                                               **/
/** Licence : GPLv2                                                                               **/
/**                                                                                               **/
/** Edited for : Debian Edu/Skolelinux, CipUX                                                     **/
/**                                                                                               **/
/** Description : This script is used to create a new groupe with its password. An error message  **/
/**               is displaied if there is a problem during the creation. A confirmation message  **/
/**               is displaied if the group is correctly created                                  **/
/**                                                                                               **/
/** ********************************************************************************************* **/

if (isset($_POST['submit_create'])) {
	//Verification if the fields are not empty
	if (empty($_POST['namegrp'])) {
		$errno = '1';
		$empty = true;
	}
	else  if (empty($_POST['passgrp1'])) {
		$errno = '3';
		$empty = true;
	}
	else  if (empty($_POST['passgrp2'])) {
		$errno = '4';
		$empty = true;
	}
	else  if ($_POST['passgrp2'] != $_POST['passgrp1']) {
		$errno = '5';
		$empty = true;
	}
	else {
		$empty = false;
	}
	
	//task if all the field are not empty
	if (!$empty) {
		//create the group
		$result=$cipux->create_course($_POST['namegrp'],$_POST['passgrp1']);
		//test of result
		if($result) {
			//good result
			$confirm = true;
		}
		else {
			//bad result
			$confirm = false;
		}
	}
}

?>
<table align="center"   class="generalbox" border="0" cellpadding="20" cellspacing="0"><tr><td  class="generalboxcontent">
<h3><? echo (get_string('create_group','cipuxPHP')); ?></h3>
<form name="form1" method="post" action="">
        
<table align="center">
<tr>
<td align="right"><? echo (get_string('group_name','cipuxPHP')); ?> : </td>
<td><input type="text" name="namegrp"/></td>
</tr>
<tr>
<td align="right"><? echo (get_string('password','cipuxPHP')); ?> : </td>
<td><input type="password" name="passgrp1"/></td>
</tr>
<tr>
<td align="right"><? echo (get_string('confirm_password','cipuxPHP')); ?> : </td>
<td><input type="password" name="passgrp2"/></td>
</tr>
</table>
<input type="hidden" name="page" value="group_creator.php"/>
<p align="center"><input type="submit" name="submit_create" value="<? echo (get_string('create','cipuxPHP')); ?>"/></p>
</form>
<?
	// here we have the displaying script of the message
	if (isset($confirm) && $confirm) {
		echo '<p align="center"><font color="green">'.get_string('group_creation_confirm','cipuxPHP').'</font></p>';
	}
	else if (isset($confirm) && !$confirm) {
		echo '<p align="center"><font color="red">'.get_string('group_creation_error','cipuxPHP').'</font></p>';
	}
	if (isset($errno)) {
		echo '<p align="center"><font color="red">'.get_string('error'.$errno,'cipuxPHP').'</font></p>';
	}
?>
<? include('return.php') ?>
</td></tr></table>