#!/bin/bash
# +========================================================================+
# || create_meta_groups.sh                                                ||
# || create meta groups: students teachers examinees surfers              ||
# ||                                                                      ||
# || (c) Copyright 2005 by Christian Kuelker                              ||
# || License: GPLv2 or later                                              ||
# +========================================================================+

# History: 
# 2006-08-24 ckuelker move to new lal structure

PASSWORD1=$RANDOM$RANDOM
PASSWORD2=$RANDOM$RANDOM
PASSWORD3=$RANDOM$RANDOM
PASSWORD4=$RANDOM$RANDOM

PATH=$PATH:/usr/lib/cipux/lal

# nothing to be done under this line
# =========================================================================
DIR=/usr/lib/cipux/lal
OBJ="student teacher examinee guest"

# delete all
echo "* delete: $OBJ"
for o in $OBJ; do 
  @echo "deleting $o";
  $DIR/cipux_del -u $o;
  $DIR/cipux_del -c $o;
done


echo "* add: $OBJ"
for o in $OBJ; do 
  echo "adding $o";
$DIR/cipux_add -c -w $PASSWORD1 \
            --attribute cn=$o \
            --attribute groupType=meta \
            --attribute cipuxRole=meta \
            --attribute cipuxSoftQuota=0 \
            --attribute cipuxHardQuota=0 ;
# students private login
$DIR/cipux_add -u -w $PASSWORD1 \
            --attribute uid=$o \
            --attribute cipuxFirstname=$o \
            --attribute cipuxLastname=group \
            --attribute cipuxRole=meta \
            --attribute cipuxSoftQuota=0 \
            --attribute cipuxHardQuota=0 ;
done
# add login to group
#$DIR/set_value.pl -a -c students -e memberUid -v students
