#!/usr/bin/perl -w
# +=======================================================================+
# || make_hardware_type_directories                                      ||
# || Creates 001 ... 999 directories                                     ||
# || (c) 2003 by Christian Kuelker                                       ||
# || License: GPLv2                                                      ||
# +=======================================================================+
# create hardware type dirs
# 001 ..999

my $SCRIPT = "make_hardware_type_directoris.pl";

my $dir = shift;

if(defined($dir)){
  if($dir ne ""){	
    my @d=("001".."999");
    print "* making directories in $dir ...\n";
    foreach(@d){
      print "[$_] ";
      `cd $dir && if [ ! -d $_ ]; then mkdir $_ && chmod 777 $_; fi`;
    }  
  }else{
    &usage();
  }   
}else{
  &usage();
}	 

exit(0);

sub usage{
  print "USAGE:\n";
  print "   $SCRIPT <DIR>\n";
}	
